Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.custom
Class WCM_RescheduleDirectiveParams

    java.lang.Object
      com.ibm.workplace.wcm.api.custom.WCM_RescheduleDirectiveParams

All Implemented Interfaces:
  DirectiveParams, RescheduleDirectiveParams, java.io.Serializable

    public class WCM_RescheduleDirectiveParams

extends java.lang.Object
implements RescheduleDirectiveParams

The `RescheduleDirectiveParams` object is used to specify arguments or options to a 'Reschedule' Directive.

To create a new `RescheduleDirectiveParams` object call `Directives.RESCHEDULE.createDirectiveParams()` and cast the returned object to `RescheduleDirectiveParams`

To use a `RescheduleDirectiveParams` object call the `CustomWorkflowActionService.createResult(Directive, String, DirectiveParams)` method instead of `CustomWorkflowActionService.createResult(Directive, String)` to construct the workflow action result.

Since:
  6.1
See Also:
  Serialized Form

Constructor Summary
`WCM_RescheduleDirectiveParams()` Constructor

Method Summary
`java.util.Date` | `getRescheduleDate()` Returns the specified 'Reschedule Date'
`boolean` | `isRescheduleOnly()` Indicates whether the current action has just rescheduled itself (true) OR additionally modified the document (false)
`void` | `setRescheduleDate(java.util.Date rescheduleDate)` Specifies the date that the Reschedule Directive should reschedule the current workflow action
`void` | `setRescheduleOnly(boolean rescheduleOnly)` Specifies whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WCM_RescheduleDirectiveParams

    public WCM_RescheduleDirectiveParams()

  Constructor

Method Detail

### setRescheduleDate

    public void setRescheduleDate(java.util.Date rescheduleDate)

  Specifies the date that the Reschedule Directive should reschedule the current workflow action

  Specified by:
    `setRescheduleDate` in interface `RescheduleDirectiveParams`
  Parameters:
    `rescheduleDate` - the date that the Reschedule Directive should reschedule the current workflow action

### getRescheduleDate

    public java.util.Date getRescheduleDate()

  Returns the specified 'Reschedule Date'

  Specified by:
    `getRescheduleDate` in interface `RescheduleDirectiveParams`
  Returns:
    the specified 'Reschedule Date'. Can be `Null` if no reschedule date has been specified

### setRescheduleOnly

    public void setRescheduleOnly(boolean rescheduleOnly)

  Specifies whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

  Used to optimize document save and avoid unnecessary versions, jms-messages and syndication

  Note: When true, only the workflow action state is persisted which ignores any changes made to the document from this action. If your reschedule logic is based on a field on the document (and/or modification date) then you should not set this to true

  Specified by:
    `setRescheduleOnly` in interface `RescheduleDirectiveParams`
  Parameters:
    `rescheduleOnly` - true if the action didn't also modify the document, false otherwise

### isRescheduleOnly

    public boolean isRescheduleOnly()

  Indicates whether the current action has just rescheduled itself (true) OR additionally modified the document (false)

  Defaults to 'false'

  Specified by:
    `isRescheduleOnly` in interface `RescheduleDirectiveParams`
  Returns:
    true if the action didn't also modify the document, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD